%define	evopluginver	%(pkg-config --list-all |grep evolution-plugin | sed -e "s/evolution-plugin-//g" | cut -d " " -f 1)

Name:		evolution-bogofilter
Summary:	A plugin for bogofilter support in evolution
Version: 	0.2.0
Release:	3%{?dist}
License:	GPL
Group:		Applications/Internet
URL:		http://people.altlinux.ru/~mhz/software/projects/bf-eplugin/
Source0:	http://people.altlinux.ru/~mhz/software/projects/bf-eplugin/bf-eplugin-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	evolution-devel, evolution-data-server-devel
BuildRequires:	pkgconfig
Requires:	bogofilter
Requires(post):	GConf2

%description
This plugin implements junk filtering for the Evolution mailer, provided by 
the bogofilter utility. Bogofilter (http://www.bogofilter.org) is a fast and 
nimble mail filter using a so-called Bayesian technique to classify junk and 
non-junk email.

%prep
%setup -q -n bf-eplugin-%{version}
%if "%{evopluginver}" != "2.6"
sed -i 's/evolution-plugin-2.6/evolution-plugin-%{evopluginver}/g' configure
%endif

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make DESTDIR=$RPM_BUILD_ROOT install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
rm -rf $RPM_BUILD_ROOT%{_libdir}/evolution/%{evopluginver}/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="bf-eplugin.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%config(noreplace) %{_sysconfdir}/gconf/schemas/bf-eplugin.schemas
%{_libdir}/evolution/%{evopluginver}/plugins/*

%changelog
* Fri Sep 29 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.2.0-3
- add URL, even if it is a bit pointless
- add docs
- mark schemas as config
- change defattr to be more accurate

* Mon Sep 25 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.2.0-2
- add missing BR: evolution-data-server-devel

* Wed Jul 26 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.2.0-1
- Initial package for Fedora Extras.

